--- cvs/hq/wine/graphics/x11drv/pen.c	Thu Jan 25 03:38:11 2001
+++ wine/graphics/x11drv/pen.c	Tue Apr 17 11:49:22 2001
@@ -33,8 +33,13 @@
     physDev->pen.endcap = pen->logpen.lopnStyle & PS_ENDCAP_MASK;
     physDev->pen.linejoin = pen->logpen.lopnStyle & PS_JOIN_MASK;
 
-    physDev->pen.width = GDI_ROUND((FLOAT)pen->logpen.lopnWidth.x *
+    /* Helps to eliminate floating point exceptions */
+    if(pen->logpen.lopnWidth.x == 0)
+	physDev->pen.width = 0;
+    else
+	physDev->pen.width = GDI_ROUND((FLOAT)pen->logpen.lopnWidth.x *
                                    dc->xformWorld2Vport.eM11 * 0.5);
+
     if (physDev->pen.width < 0) physDev->pen.width = -physDev->pen.width;
     if (physDev->pen.width == 1) physDev->pen.width = 0;  /* Faster */
     physDev->pen.pixel = X11DRV_PALETTE_ToPhysical( dc, pen->logpen.lopnColor );    
